Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class DMLException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.DMLException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

Direct Known Subclasses:
  BatchDMLException, DMLConstraintException, RowDMLException

public class DMLException
extends JboException

Indicates a failure to post data to a database.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary
`static int` | `DML_COMMIT`
`static int` | `DML_DELETE`
`static int` | `DML_INSERT`
`static int` | `DML_RELEASE_SAVEPOINT`
`static int` | `DML_ROLLBACK`
`static int` | `DML_ROLLBACK_TO_SAVEPOINT`
`static int` | `DML_SAVEPOINT`
`static int` | `DML_UPDATE`

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`DMLException(java.lang.Class resBundle, Row entityRow, int handle, java.lang.String errorCode, java.lang.Object[] params, java.lang.Exception ex)`
`DMLException(java.lang.Class resBundle, java.lang.String errorCode, java.lang.Object[] params, java.lang.Exception ex)`
`DMLException(int operation, Row entityRow, int handle, java.lang.String stmt, java.lang.Exception ex)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_DML_POST_ENTITY`.
`DMLException(int operation, java.lang.String stmt, java.lang.Exception ex)`

Method Summary
`Row` | `getEntityRow()`
`int` | `getEntityRowHandle()`
`int` | `getOperation()`
`static java.lang.String` | `getOperationString(int operation)`
`Key` | `getRowKey()`
`void` | `setEntityRow(Row row)`
`void` | `setEntityRowHandle(int hdl)`

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, doEntityToVOMapping, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DML_INSERT

    public static final int DML_INSERT

  See Also:
    Constant Field Values

### DML_UPDATE

    public static final int DML_UPDATE

  See Also:
    Constant Field Values

### DML_DELETE

    public static final int DML_DELETE

  See Also:
    Constant Field Values

### DML_ROLLBACK

    public static final int DML_ROLLBACK

  See Also:
    Constant Field Values

### DML_COMMIT

    public static final int DML_COMMIT

  See Also:
    Constant Field Values

### DML_SAVEPOINT

    public static final int DML_SAVEPOINT

  See Also:
    Constant Field Values

### DML_ROLLBACK_TO_SAVEPOINT

    public static final int DML_ROLLBACK_TO_SAVEPOINT

  See Also:
    Constant Field Values

### DML_RELEASE_SAVEPOINT

    public static final int DML_RELEASE_SAVEPOINT

  See Also:
    Constant Field Values

Constructor Detail

### DMLException

    public DMLException(int operation,
                        Row entityRow,
                        int handle,
                        java.lang.String stmt,
                        java.lang.Exception ex)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_DML_POST_ENTITY`.
Parameters:
  `operation` - the attempted operation.
  `stmt` - the DML statement, the first message parameter.
  `ex` - the exception that spawned this exception, to be added to the details list.

### DMLException

    public DMLException(int operation,
                        java.lang.String stmt,
                        java.lang.Exception ex)

### DMLException

    public DMLException(java.lang.Class resBundle,
                        Row entityRow,
                        int handle,
                        java.lang.String errorCode,
                        java.lang.Object[] params,
                        java.lang.Exception ex)

### DMLException

    public DMLException(java.lang.Class resBundle,
                        java.lang.String errorCode,
                        java.lang.Object[] params,
                        java.lang.Exception ex)

Method Detail

### getRowKey

    public Key getRowKey()

### getOperation

    public int getOperation()

### getOperationString

    public static java.lang.String getOperationString(int operation)

### getEntityRowHandle

    public int getEntityRowHandle()

### setEntityRowHandle

    public void setEntityRowHandle(int hdl)

### getEntityRow

    public Row getEntityRow()

### setEntityRow

    public void setEntityRow(Row row)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.